
/*-----------------------------------------------------------------------------------------------*/
/* interface/statistics.h 	                                                                     */
/* copyright (c) innovaphone 2013                                                                */
/*                                                                                               */
/*-----------------------------------------------------------------------------------------------*/

class IStatisticsDataset {
public:
    virtual ~IStatisticsDataset() {};
    virtual void Data(long64 value) = 0;
    virtual void BusyStart() = 0;
    virtual void BusyEnd() = 0;
};

class UStatisticsDataset {
public:
    virtual void Get(class IStatisticsGet * user, long64 start, long64 end) = 0;
};

class IStatisticsGet {
public:
    virtual void GetResult(long64 count) = 0;
};
